--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/propal_pdf.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/propal_pdf.php	2025-06-27 11:43:39.176056000 +0000
@@ -143,7 +143,7 @@
 print $form->textwithpicto($langs->trans("MAIN_PDF_ADD_TERMSOFSALE_PROPAL"), $langs->trans("PdfAddTermOfSaleHelp"));
 print '</td><td>';
 if ($conf->use_javascript_ajax) {
-	print ajax_constantonoff('MAIN_PDF_ADD_TERMSOFSALE_PROPAL', array(), null, 0, 0, 1);
+	print ajax_constantonoff('MAIN_PDF_ADD_TERMSOFSALE_PROPAL');
 } else {
 	$arrval = array('0' => $langs->trans("No"), '1' => $langs->trans("Yes"));
 	print $form->selectarray("MAIN_PDF_ADD_TERMSOFSALE_PROPAL", $arrval, $conf->global->MAIN_PDF_ADD_TERMSOFSALE_PROPAL);
@@ -164,48 +164,40 @@
 print '</table>';
 print '</div>';
 
-if (empty($conf->use_javascript_ajax)) {
-	print '<center><input type="submit" class="button button-edit reposition" value="'.$langs->trans("Save").'"></center>';
-}
-
+print load_fiche_titre($langs->trans("FileToConcatToGeneratedPDF"), '', 'file');
 
-if (getDolGlobalString('MAIN_PDF_ADD_TERMSOFSALE_PROPAL')) {
-	print '<br>';
-	print load_fiche_titre($langs->trans("FileToConcatToGeneratedPDF"), '', 'file');
-
-	print '<div class="div-table-responsive-no-min">';
-	print '<table summary="more" class="noborder centpercent">';
-	print '<tr class="liste_titre"><td class="titlefieldmiddle">'.$langs->trans("Parameters").'</td><td width="200px"></td></tr>';
-
-	// Terms of sale
-	$tooltiptermsofsale = $langs->trans('AvailableFormats').' : pdf';
-	$maxfilesizearray = getMaxFileSizeArray();
-	$tooltiptermsofsale .= ($maxfilesizearray['maxmin'] > 0) ? '<br>'.$langs->trans('MaxSize').' : '.$maxfilesizearray['maxmin'].' '.$langs->trans('Kb') : '';
-	$documenturl = DOL_URL_ROOT.'/document.php';
-	if (isset($conf->global->DOL_URL_ROOT_DOCUMENT_PHP)) {
-		$documenturl = $conf->global->DOL_URL_ROOT_DOCUMENT_PHP;
-	}
-	$modulepart = 'propal';
+print '<div class="div-table-responsive-no-min">';
+print '<table summary="more" class="noborder centpercent">';
+print '<tr class="liste_titre"><td class="titlefieldmiddle">'.$langs->trans("Parameters").'</td><td width="200px"></td></tr>';
+
+// Terms of sale
+$tooltiptermsofsale = $langs->trans('AvailableFormats').' : pdf';
+$maxfilesizearray = getMaxFileSizeArray();
+$tooltiptermsofsale .= ($maxfilesizearray['maxmin'] > 0) ? '<br>'.$langs->trans('MaxSize').' : '.$maxfilesizearray['maxmin'].' '.$langs->trans('Kb') : '';
+$documenturl = DOL_URL_ROOT.'/document.php';
+if (isset($conf->global->DOL_URL_ROOT_DOCUMENT_PHP)) {
+	$documenturl = $conf->global->DOL_URL_ROOT_DOCUMENT_PHP;
+}
+$modulepart = 'propal';
 
-	print '<tr class="oddeven"><td><label for="logo">'.$form->textwithpicto($langs->trans("FileToConcatToGeneratedPDF"), $tooltiptermsofsale).'</label></td><td>';
-	print '<div class="centpercent nobordernopadding valignmiddle "><div class="inline-block marginrightonly">';
-	print '<input type="file" class="flat minwidth100 maxwidthinputfileonsmartphone" name="termsofsale" id="termsofsale" accept="application/pdf">';
-	if (getDolGlobalString("MAIN_INFO_PROPAL_TERMSOFSALE")) {
-		$termofsale = getDolGlobalString("MAIN_INFO_PROPAL_TERMSOFSALE");
-		if (file_exists($conf->propal->dir_output.'/'.$termofsale)) {
-			$file = dol_dir_list($conf->propal->dir_output, 'files', 0, $termofsale);
-			print '<div class="inline-block valignmiddle marginrightonly"><a href="'.$documenturl.'?modulepart='.$modulepart.'&amp;file='.urlencode($termofsale).'">'.$termofsale.'</a>'.$formfile->showPreview($file[0], $modulepart, $termofsale, 0, '');
-			print '<div class="inline-block valignmiddle marginrightonly"><a class="reposition" href="'.$_SERVER["PHP_SELF"].'?action=removetermsofsale&token='.newToken().'">'.img_delete($langs->trans("Delete"), '', 'marginleftonly').'</a></div>';
-		}
+print '<tr class="oddeven"><td><label for="logo">'.$form->textwithpicto($langs->trans("FileToConcatToGeneratedPDF"), $tooltiptermsofsale).'</label></td><td>';
+print '<div class="centpercent nobordernopadding valignmiddle "><div class="inline-block marginrightonly">';
+print '<input type="file" class="flat minwidth100 maxwidthinputfileonsmartphone" name="termsofsale" id="termsofsale" accept="application/pdf">';
+if (getDolGlobalString("MAIN_INFO_PROPAL_TERMSOFSALE")) {
+	$termofsale = getDolGlobalString("MAIN_INFO_PROPAL_TERMSOFSALE");
+	if (file_exists($conf->propal->dir_output.'/'.$termofsale)) {
+		$file = dol_dir_list($conf->propal->dir_output, 'files', 0, $termofsale);
+		print '<div class="inline-block valignmiddle marginrightonly"><a href="'.$documenturl.'?modulepart='.$modulepart.'&amp;file='.urlencode($termofsale).'">'.$termofsale.'</a>'.$formfile->showPreview($file[0], $modulepart, $termofsale, 0, '');
+		print '<div class="inline-block valignmiddle marginrightonly"><a class="reposition" href="'.$_SERVER["PHP_SELF"].'?action=removetermsofsale&token='.newToken().'">'.img_delete($langs->trans("Delete"), '', 'marginleftonly').'</a></div>';
 	}
-	print '</div>';
-	print '</td></tr>';
-	print '</table>';
-	print '</div>';
-
-	print '<center><input type="submit" class="button button-edit reposition" value="'.$langs->trans("Save").'"></center>';
 }
+print '</div>';
+print '</td></tr>';
+print '</table>';
+print '</div>';
+
 
+print '<center><input type="submit" class="button button-edit reposition" value="'.$langs->trans("Save").'"></center>';
 
 print '</form>';
 

########## admin/remotestore/class/externalModules.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/remotestore/class/externalModules.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/remotestore/class/externalModules.class.php	2025-06-27 11:43:39.303148000 +0000
@@ -460,8 +460,8 @@
 
 			// Set and check version
 			$version = '';
-			if ($this->versionCompare($product["dolibarr_min"], $dolibarrversiontouse) <= 0) {
-				if (!empty($product["dolibarr_max"]) && $product["dolibarr_max"] != 'auto' && $product["dolibarr_max"] != 'unknown' && $this->versionCompare($product["dolibarr_max"], $dolibarrversiontouse) >= 0) {
+			if ($this->version_compare($product["dolibarr_min"], $dolibarrversiontouse) <= 0) {
+				if (!empty($product["dolibarr_max"]) && $product["dolibarr_max"] != 'auto' && $product["dolibarr_max"] != 'unknown' && $this->version_compare($product["dolibarr_max"], $dolibarrversiontouse) >= 0) {
 					//compatible
 					$version = '<span class="compatible">'.$langs->trans(
 						'CompatibleUpTo',
@@ -508,7 +508,7 @@
 			$html .= $newapp.$images;	// No dol_escape_htmltag, it is already escape html
 			$html .= '</div></td>';
 			$html .= '<td class="margeCote"><h2 class="appTitle">';
-			$html .= dolPrintHTML(dol_string_nohtmltag($product["label"]));
+			$html .= dol_escape_htmltag(dol_string_nohtmltag($product["label"]));
 			$html .= '<br><small>';
 			$html .= $version;			// No dol_escape_htmltag, it is already escape html
 			$html .= '</small></h2>';
@@ -518,11 +518,11 @@
 			} else {
 				$html .= '<span class="opacitymedium">'.dol_print_date(dol_stringtotime($product['tms']), 'day').'</span>';
 			}
-			$html .= ' - '.$langs->trans('Ref').' '.dolPrintHTML($product["ref"]);
+			$html .= ' - '.$langs->trans('Ref').' '.dol_escape_htmltag($product["ref"]);
 			//$html .= ' - '.dol_escape_htmltag($langs->trans('Id')).': '.((int) $product["id"]);
 			$html .= '</small><br>';
 			$html .= '<small>'.$langs->trans('Source').': '.$product["source"].'</small><br>';
-			$html .= '<br>'.dolPrintHTML(dol_string_nohtmltag($product["description"]));
+			$html .= '<br>'.dol_escape_htmltag(dol_string_nohtmltag($product["description"]));
 			$html .= '</td>';
 			// do not load if display none
 			$html .= '<td class="margeCote center amount">';
@@ -568,6 +568,7 @@
 		};
 	}
 
+	// phpcs:disable PEAR.NamingConventions.ValidFunctionName.ScopeNotCamelCaps
 	/**
 	 * version compare
 	 *
@@ -575,12 +576,9 @@
 	 * @param   string  $v2     version 2
 	 * @return int              result of compare
 	 */
-	public function versionCompare($v1, $v2)
+	public function version_compare($v1, $v2)
 	{
-		// Clean v1 and v2
-		$v1 = str_replace(array('v', 'V'), '', $v1);
-		$v2 = str_replace(array('v', 'V'), '', $v2);
-
+		// phpcs:enable
 		$v1       = explode('.', $v1);
 		$v2       = explode('.', $v2);
 		$ret      = 0;
@@ -780,8 +778,8 @@
 			}
 		}
 
-		if (!empty($request['curl_error_msg'])) {
-			$error_message .= ' - ' . $request['curl_error_msg'];
+		if (!empty($request['response']['curl_error_msg'])) {
+			$error_message .= ' - ' . $request['response']['curl_error_msg'];
 		}
 
 		// Return the formatted error message

########## admin/security.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/security.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/security.php	2025-06-27 11:43:39.309673000 +0000
@@ -444,7 +444,7 @@
 print '<tr class="oddeven">';
 print '<td colspan="3">'.$langs->trans("MainDbPasswordFileConfEncrypted").'</td>';
 print '<td align="center" width="60">';
-if (preg_match('/(crypted|dolcrypt):/i', $dolibarr_main_db_pass) || !empty($dolibarr_main_db_encrypted_pass)) {
+if (preg_match('/crypted:/i', $dolibarr_main_db_pass) || !empty($dolibarr_main_db_encrypted_pass)) {
 	print img_picto($langs->trans("Active"), 'tick');
 }
 
@@ -483,7 +483,7 @@
 	print "</td>";
 }
 if (getDolGlobalString('MAIN_SECURITY_DISABLEFORGETPASSLINK')) {
-	print '<td class="center" width="100">';
+	print '<td center="center" width="100">';
 	print '<a class="reposition" href="'.$_SERVER["PHP_SELF"].'?action=disable_MAIN_SECURITY_DISABLEFORGETPASSLINK&token='.newToken().'">'.$langs->trans("Disable").'</a>';
 	print "</td>";
 }

########## admin/security_other.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/security_other.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/security_other.php	2025-06-27 11:43:39.349396000 +0000
@@ -214,6 +214,19 @@
 print '</td>';
 print '</tr>';
 
+/*
+if (empty($conf->global->MAIN_APPLICATION_TITLE)) {
+	$conf->global->MAIN_APPLICATION_TITLE = "";
+}
+print '<tr class="oddeven">';
+print '<td>'.$langs->trans("MAIN_APPLICATION_TITLE").'</td><td class="right">';
+print '</td>';
+print '<td class="nowrap">';
+print '<input class="flat" name="MAIN_APPLICATION_TITLE" type="text" size="20" value="'.dol_escape_htmltag($conf->global->MAIN_APPLICATION_TITLE).'"> ';
+print '</td>';
+print '</tr>';
+*/
+
 print '</table>';
 
 print $form->buttonsSaveCancel("Modify", '');

########## admin/system/perf.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/system/perf.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/system/perf.php	2025-06-27 11:43:39.218262000 +0000
@@ -480,7 +480,7 @@
 print img_picto('', 'folder', 'class="pictofixedwidth"');
 print '<strong>'.$langs->trans("HTTPCacheStaticResources").' - '.$langs->trans("CacheByClient").'</strong><br>';
 print '<div class="divsection">';
-print '<div id="httpcachebybrowser"><span class="opacitymedium">'.img_picto('', 'question.png', 'class="pictofixedwidth"').' '.$langs->trans("TestNotPossibleWithCurrentBrowsers").'</span></div>';
+print '<div id="httpcachebybrowser">'.img_picto('', 'question.png', 'class="pictofixedwidth"').' '.$langs->trans("TestNotPossibleWithCurrentBrowsers").'</div>';
 print '</div>';
 
 
@@ -704,8 +704,7 @@
 	print img_picto('', 'minus', 'class="pictofixedwidth"');
 }
 print $form->textwithpicto($langs->trans("EnableFileCache").' ('.$langs->trans("Widgets").')', $langs->trans("Option").' MAIN_ACTIVATE_FILECACHE');
-print ': ';
-print yn(getDolGlobalInt('MAIN_ACTIVATE_FILECACHE'));
+print ': '.yn(getDolGlobalInt('MAIN_ACTIVATE_FILECACHE'));
 print '<br>';
 
 if (getDolGlobalInt('MAIN_ENABLE_AJAX_TOOLTIP')) {
@@ -713,8 +712,7 @@
 } else {
 	print img_picto('', 'minus', 'class="pictofixedwidth"');
 }
-print $form->textwithpicto($langs->trans('MAIN_ENABLE_AJAX_TOOLTIP'), $langs->trans("Option").' MAIN_ENABLE_AJAX_TOOLTIP');
-print ': ';
+print 'MAIN_ENABLE_AJAX_TOOLTIP : ';
 print yn(getDolGlobalInt('MAIN_ENABLE_AJAX_TOOLTIP'));
 print '<br>';
 
@@ -724,8 +722,7 @@
 } else {
 	print img_picto('', 'minus', 'class="pictofixedwidth"');
 }
-print $form->textwithpicto($langs->trans('MAIN_CACHE_COUNT'), $langs->trans("Option").' MAIN_CACHE_COUNT');
-print ': ';
+print 'MAIN_CACHE_COUNT : ';
 print yn(getDolGlobalInt('MAIN_CACHE_COUNT'));
 //.' '.img_picto('', 'warning.png');
 print '<br>';
@@ -744,8 +741,7 @@
 } else {
 	print img_picto('', 'minus', 'class="pictofixedwidth"');
 }
-print $form->textwithpicto($langs->trans('MAIN_DO_FETCH_IN_ONE_SQL_REQUEST'), $langs->trans("Option").' MAIN_DO_FETCH_IN_ONE_SQL_REQUEST');
-print ' = '.getDolGlobalString('MAIN_DO_FETCH_IN_ONE_SQL_REQUEST', '<span class="opacitymedium">'.$langs->trans("Undefined").'</span>');
+print 'MAIN_DO_FETCH_IN_ONE_SQL_REQUEST = '.getDolGlobalString('MAIN_DO_FETCH_IN_ONE_SQL_REQUEST', '<span class="opacitymedium">'.$langs->trans("Undefined").'</span>');
 //print ' &nbsp; ('.$langs->trans("Recommended").': '.$langs->trans("Undefined").' '.$langs->trans("or").' 0)</span>')."<br>";
 print '<br>';
 print '</div>';

########## admin/system/security.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/system/security.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/system/security.php	2025-06-27 11:43:39.219809000 +0000
@@ -527,7 +527,7 @@
 /*
 $usepassinconfencrypted = 0;
 global $dolibarr_main_db_pass, $dolibarr_main_db_encrypted_pass;
-if (preg_match('/(crypted|dolcrypt):/i', $dolibarr_main_db_pass) || !empty($dolibarr_main_db_encrypted_pass)) {
+if (preg_match('/crypted:/i', $dolibarr_main_db_pass) || !empty($dolibarr_main_db_encrypted_pass)) {
 	$usepassinconfencrypted = 1;
 }
 print '<strong>'.$langs->trans("MainDbPasswordFileConfEncrypted").'</strong>: ';

########## admin/ticket.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/ticket.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/ticket.php	2025-06-27 11:43:39.192241000 +0000
@@ -198,7 +198,7 @@
 	include_once DOL_DOCUMENT_ROOT."/core/lib/files.lib.php";
 
 	$notification_email = GETPOST('TICKET_NOTIFICATION_EMAIL_FROM', 'alpha');
-	$notification_email_description = "Email of user allowed to send ticket replies from Dolibarr";
+	$notification_email_description = "Sender of ticket replies sent from Dolibarr";
 	if (!empty($notification_email)) {
 		$res = dolibarr_set_const($db, 'TICKET_NOTIFICATION_EMAIL_FROM', $notification_email, 'chaine', 0, $notification_email_description, $conf->entity);
 	} else { // If an empty e-mail address is providen, use the global "FROM" since an empty field will cause other issues
@@ -208,17 +208,6 @@
 		$error++;
 	}
 
-	$notification_email_replyto = GETPOST('TICKET_NOTIFICATION_EMAIL_REPLYTO', 'alpha');
-	$notification_email_replyto_description = "Email that must appears as the sender of ticket replies sent from Dolibarr";
-	if (!empty($notification_email)) {
-		$res = dolibarr_set_const($db, 'TICKET_NOTIFICATION_EMAIL_REPLYTO', $notification_email_replyto, 'chaine', 0, $notification_email_replyto_description, $conf->entity);
-	} else {
-		$res = dolibarr_set_const($db, 'TICKET_NOTIFICATION_EMAIL_REPLYTO', getDolGlobalString('MAIN_MAIL_EMAIL_FROM'), 'chaine', 0, $notification_email_replyto_description, $conf->entity);
-	}
-	if (!($res > 0)) {
-		$error++;
-	}
-
 	// altairis : differentiate notification email FROM and TO
 	$notification_email_to = GETPOST('TICKET_NOTIFICATION_EMAIL_TO', 'alpha');
 	$notification_email_to_description = "Notified e-mail for ticket replies sent from Dolibarr";
@@ -656,7 +645,7 @@
 	print "</tr>\n";
 }
 
-// Email of sender allowed to send technical notifications
+// Email to send notifications
 print '<tr class="oddeven"><td><label for="TICKET_NOTIFICATION_EMAIL_FROM" class="block">'.$langs->trans("TicketEmailNotificationFrom").'</label></td>';
 print '<td class="left">';
 print img_picto('', 'email', 'class="pictofixedwidth"');
@@ -666,16 +655,6 @@
 print '</td>';
 print '</tr>';
 
-// Email that must appears as the sender of email notifications
-print '<tr class="oddeven"><td><label for="TICKET_NOTIFICATION_EMAIL_REPLYTO" class="block">'.$langs->trans("TicketEmailNotificationReplyTo").'</label></td>';
-print '<td class="left">';
-print img_picto('', 'email', 'class="pictofixedwidth"');
-print '<input type="text" class="minwidth200" id="TICKET_NOTIFICATION_EMAIL_REPLYTO" name="TICKET_NOTIFICATION_EMAIL_REPLYTO" value="' . getDolGlobalString('TICKET_NOTIFICATION_EMAIL_REPLYTO').'"></td>';
-print '<td class="center">';
-print $formcategory->textwithpicto('', $langs->trans("TicketEmailNotificationReplyToHelp"), 1, 'help');
-print '</td>';
-print '</tr>';
-
 print '<tr class="oddeven"><td class="titlefieldmiddle"><label for="TICKET_SEND_INTERNAL_CC" class="block">';
 print $form->textwithpicto($langs->trans("TicketSendToInternalCC"), $langs->trans("TicketSendToInternalCCHelp")).'</label></td>';
 print '<td>';

########## admin/tools/listevents.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/tools/listevents.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/tools/listevents.php	2025-06-27 11:43:39.368989000 +0000
@@ -72,7 +72,7 @@
 $search_desc = GETPOST("search_desc", "alpha");
 $search_ua   = GETPOST("search_ua", "restricthtml");
 $search_prefix_session = GETPOST("search_prefix_session", "restricthtml");
-$search_entity = ($user->entity > 0 ? $user->entity : GETPOSTINT('search_entity'));		// TODO Replace with $search_entity = GETPOSTINT('search_entity') when the filter is available on screen for this page
+$search_entity = ($user->entity > 0 ? $user->entity : GETPOSTINT('search_entity'));
 
 $now = dol_now();
 $nowarray = dol_getdate($now);

########## admin/tools/ui/class/documentation.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/tools/ui/class/documentation.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/tools/ui/class/documentation.class.php	2025-06-27 11:43:39.409575000 +0000
@@ -259,15 +259,14 @@
 	}
 
 	/**
-	 * Output header + body
+	 *    Output header + body
 	 *
 	 * @param string $title Title of page
-	 * @param 	string[]	$arrayofjs		Array of complementary js files
-	 * @param 	string[]	$arrayofcss		Array of complementary css files
-	 * @param	string		$hidenavmenu	Hide nav menu
+	 * @param 	string[]	$arrayofjs		 Array of complementary js files
+	 * @param 	string[]	$arrayofcss		 Array of complementary css files
 	 * @return void
 	 */
-	public function docHeader($title = '', $arrayofjs = [], $arrayofcss = [], $hidenavmenu = '')
+	public function docHeader($title = '', $arrayofjs = [], $arrayofcss = [])
 	{
 		global $langs;
 		$title = (!empty($title)) ? dol_escape_htmltag($title) : $langs->trans('Documentation');
@@ -276,7 +275,7 @@
 
 		top_htmlhead('',  $title, 0, 0, $arrayofjs, $arrayofcss);
 
-		print '<body class="dolibarr-doc'.($hidenavmenu ? "-bis" : "").'">';
+		print '<body class="dolibarr-doc">';
 	}
 
 	/**

########## admin/tools/ui/components/icons.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/tools/ui/components/icons.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/tools/ui/components/icons.php	2025-06-27 11:43:39.381047000 +0000
@@ -42,7 +42,7 @@
 $documentation = new Documentation($db);
 
 // Output html head + body - Param is Title
-$documentation->docHeader('Icons', [], ['admin/tools/ui/css/doc-icons.css'], GETPOST('hidenavmenu'));
+$documentation->docHeader('Icons', [], ['admin/tools/ui/css/doc-icons.css']);
 
 // Set view for menu and breadcrumb
 // Menu must be set in constructor of documentation class

########## admin/tools/ui/css/documentation.css
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/admin/translation.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/admin/translation.php	2025-06-27 11:43:39.304818000 +0000
@@ -363,22 +363,15 @@
 		$disablededit = ' disabled';
 	}
 
-	$text = $langs->trans("SomeTranslationAreUncomplete");
+	$infoOnTransProcess = '<div class="justify"><span class="opacitymedium">';
+	$infoOnTransProcess .= img_info().' '.$langs->trans("SomeTranslationAreUncomplete");
 	$urlwikitranslatordoc = 'https://wiki.dolibarr.org/index.php/Translator_documentation';
-	$text .= ' - <a href="'.$urlwikitranslatordoc.'" target="_blank" rel="noopener noreferrer external">'.$langs->trans("SeeAlso", $langs->transnoentitiesnoconv("Here")).' '.img_picto('', 'url').'</a>.<br>';
-	$infoOnTransProcess = info_admin($text);
-
-	$infoOnTransProcess .= '<div class="justify">';
-	$infoOnTransProcess .= '<span class="opacitymedium">';
+	$infoOnTransProcess .= ' ('.str_replace('{s1}', '<a href="'.$urlwikitranslatordoc.'" target="_blank" rel="noopener noreferrer external">'.$langs->trans("Here").'</a>', $langs->trans("SeeAlso", '{s1}')).')<br>';
+	$infoOnTransProcess .= '<br>';
 	$infoOnTransProcess .= $langs->trans("TranslationOverwriteDesc", $langs->transnoentitiesnoconv("Language"), $langs->transnoentitiesnoconv("TranslationKey"), $langs->transnoentitiesnoconv("NewTranslationStringToShow"))."\n";
 	$infoOnTransProcess .= ' ('.$langs->trans("TranslationOverwriteDesc2").').'."<br>\n";
 	$infoOnTransProcess .= '</span></div>';
 
-	// If a cache for translation is on, show a warning.
-	if (isModEnabled('memcached') || getDolGlobalInt('MAIN_USE_CACHE_FOR_TRANSLATION')) {
-		$infoOnTransProcess .= info_admin($langs->trans("CacheForTranslationIsUsed"), 0, 0, '1', 'warning');
-	}
-
 	print $infoOnTransProcess;
 
 	print '<br>';
@@ -650,8 +643,8 @@
 		}
 		print '<span title="'.dolPrintHTMLForAttribute($titleforvalue).'" class="classfortooltip">';
 		print dolPrintHTML($val);
-		if (substr_count($langsenfileonly->tab_translate[$key], '%s') > 5) {
-			print '<br><div class="warning">Error, more than 5 %s in the source</div>';
+		if (substr_count($langsenfileonly->tab_translate[$key], '%s') > 4) {
+			print '<br><div class="warning">Error, more than 4 %s in the source</div>';
 		}
 		print '</span>';
 		print '</td>';

########## ai/class/ai.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/ai/class/ai.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/ai/class/ai.class.php	2025-06-27 11:43:39.064354000 +0000
@@ -138,7 +138,7 @@
 			}
 		}
 
-		dol_syslog("Call API for apiKey=".substr($this->apiKey, 0, 5).'***********, apiEndpoint='.$this->apiEndpoint.", model=".$model);
+		dol_syslog("Call API for apiKey=".substr($this->apiKey, 0, 3).'***********, apiEndpoint='.$this->apiEndpoint.", model=".$model);
 
 		try {
 			if (empty($this->apiEndpoint)) {
@@ -256,7 +256,7 @@
 				throw new Exception('API request failed. No http received');
 			}
 			if (!empty($response['http_code']) && $response['http_code'] != 200) {
-				if (in_array($response['http_code'], array(400, 401, 403, 429)) && !empty($response['content'])) {
+				if ($response['http_code'] == 400 && !empty($response['content'])) {
 					$tmp = json_decode($response['content'], true);
 					if (!empty($tmp['message'])) {
 						return array(

########## api/class/api_access.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/api/class/api_access.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/api/class/api_access.class.php	2025-06-27 11:43:39.081657000 +0000
@@ -124,7 +124,7 @@
 			$api_key = preg_replace('/^Bearer\s+/i', '', empty($headers['Authorization']) ? '' : $headers['Authorization']);
 		};
 
-		$api_key = dol_string_nounprintableascii($api_key, 1);
+		$api_key = dol_string_nounprintableascii($api_key);
 
 		if (preg_match('/^dolcrypt:/i', $api_key)) {
 			throw new RestException(503, 'Bad value for the API key. An API key should not start with dolcrypt:');
@@ -182,7 +182,7 @@
 			}
 
 			// Check if user status is enabled
-			if ($fuser->status != $fuser::STATUS_ENABLED) {
+			if ($fuser->statut != $fuser::STATUS_ENABLED) {
 				// Status is disabled
 				dol_syslog("functions_isallowed::check_user_api_key Authentication KO for '".$login."': The user has been disabled", LOG_NOTICE);
 				sleep(1); // Anti brute force protection. Must be same delay when user and password are not valid.
@@ -205,14 +205,6 @@
 				throw new RestException(401, $genericmessageerroruser);
 			}
 
-			// TODO
-			// Increase counter of API access
-			if (getDolGlobalString('API_COUNTER_ENABLED')) {
-				include DOL_DOCUMENT_ROOT.'/core/lib/admin.lib.php';
-				dolibarr_set_const($this->db, 'API_COUNTER_COUNT', getDolGlobalInt('API_COUNTER_COUNT') + 1);
-				//var_dump('eeee');exit;
-			}
-
 			// User seems valid
 			$fuser->loadRights();
 

########## api/class/api_documents.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/api/class/api_documents.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/api/class/api_documents.class.php	2025-06-27 11:43:39.083669000 +0000
@@ -548,7 +548,7 @@
 		} elseif ($modulepart == 'knowledgemanagement') {
 			require_once DOL_DOCUMENT_ROOT.'/knowledgemanagement/class/knowledgerecord.class.php';
 
-			if (!DolibarrApiAccess::$user->hasRight('knowledgemanagement', 'knowledgerecord', 'read')) {
+			if (!DolibarrApiAccess::$user->hasRight('knowledgemanagement', 'knowledgerecord', 'read') && !DolibarrApiAccess::$user->hasRight('knowledgemanagement', 'knowledgerecord', 'read')) {
 				throw new RestException(403);
 			}
 

########## barcode/codeinit.php
